
Foreman - Bug #30748

Foreman doesn't support Netplan on Ubuntu

08/31/2020 06:15 PM - Stefan Lasiewski

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.4.1, 2.5.0, 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7947,

https://github.com/theforeman/foreman/p

ull/8261

  

Description

When provisioning Ubuntu systems, Foreman still uses the `/etc/network/interfaces` file. However, Ubuntu 18.04 moved away from

`/etc/network/interfaces` and instead uses `/etc/netplan`.

I will add code to address this.

I previously submitted a PR in https://github.com/theforeman/community-templates/pull/568, and @Jan Pacak submitted a similar PR

in https://github.com/theforeman/community-templates/pull/545. I had to give up on my PR due to work issues, but I'm picking it up

again.

Related issues:

Related to Foreman - Bug #32981:  Latest preseed_networking_setup template sn... Closed

Associated revisions

Revision 177adee7 - 04/23/2021 07:51 AM - Stefan Lasiewski 

Fixes #30748 - On Ubuntu 18.04+ use /etc/netplan

History

#1 - 08/31/2020 10:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7947 added

#2 - 01/20/2021 02:56 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8261 added

#3 - 04/23/2021 07:51 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/23/2021 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|177adee77bcfbd25fa1fac00b198981473c50910.

#5 - 04/28/2021 08:39 AM - Tomer Brisker

- Category set to Templates

- Fixed in Releases 2.4.1 added

#6 - 07/11/2021 11:31 AM - Tomer Brisker

- Related to Bug #32981:  Latest preseed_networking_setup template snippet does not work Ubuntu 18.04+ with multiple nics  added
https://github.com/theforeman/community-templates/pull/568
https://projects.theforeman.org/users/12608
https://github.com/theforeman/community-templates/pull/545
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/177adee77bcfbd25fa1fac00b198981473c50910


#7 - 08/24/2021 12:41 PM - Amit Upadhye

- Fixed in Releases 3.0.0 added
